matrix:
  unix_platform:
  - debian11
  - ubuntu2404
  - macos
  - macos_arm64
  windows_platform:
  - windows
  bazel:
  - 7.x
  - 8.x
tasks:
  unix_presubmit:
    name: Unix Presubmit
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@grpc_ecosystem_grpc_gateway//...'
  windows_presubmit:
    name: Windows Presubmit
    platform: ${{ windows_platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=/std:c++17'
    - '--host_cxxopt=/std:c++17'
    build_targets:
    - '@grpc_ecosystem_grpc_gateway//...'
